package help

#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. they're overridden here as we don't want a 'help' link

_javalinks_ {_imagehome__imageabout__imagepref_}
_javalinks_ [version=text] {
_imagehome_<br>
_imageabout_<br>
_imagepref_<br>
}


_pagetitle_ {Help}

_imagethispage_ {<img src="_httpiconhhelp_" alt="Help" width=_widthhhelp_ height=_heighthhelp_>}

# this is used on the query page if no query has been entered
_simplehelp_ {
<p>There are three ways to find information in this _collectionname_:
<ul>
  <li>search for particular words
  <li>access publications by title
  <li>access publications by subject
</ul>

<p>You can <i>search for particular words</i> that appear in the text from the
"search" page. This is the first page that comes up when you begin, and can be
reached from other pages by pressing the <i>search</i> button.

<p>You can <i>access publications by title</i> by pressing the <i>titles a-z</i>
button.  This brings up a list of books in alphabetic order.<br>  

<p>You can <i>access publications by subject</i> by pressing the <i>subjects</i>
button.  This brings up a list of subjects, represented by bookshelves.<br>

<p>
_iconexplain_
}

_iconexplain_ {
<table cellspacing=0 cellpadding=2 border=0>
<tr valign=top><td><img src="_httpiconbook_" width=_widthbook_ height=_heightbook_></td>
<td>Click on a book icon to read the corresponding book</td></tr></table>
<table cellspacing=0 cellpadding=2 border=0>
<tr valign=top><td><img src="_httpiconbshelf_" width=_widthbshelf_ height=_heightbshelf_></td>
<td>Click on a bookshelf icon to look at books on that subject</td></tr>
</table>
}

_iconexplain_ [version=text] {
<p>
Click on <b><u>open book</u></b> to read corresponding book.<br>
Click on <b><u>open section</u></b> to look at books on that subject.
}


_simplehelp_ [style=htmlonly] {
<p>There are two ways to find information in this _collectioname_:
<ul>
  <li>access publications by title
  <li>access publications by subject
</ul>

<p>You can <i>access publications by title</i> by pressing the <i>titles a-z</i>
button.  This brings up a list of books in alphabetic order.<br>

<p>You can <i>access publications by subject</i> by pressing the <i>subjects</i>
button.  This brings up a list of subjects, represented by bookshelves.<br>

<p>
<table cellspacing=0 cellpadding=2 border=0>
<tr><td>_iconclosedbook_</td>
<td>Click on a book icon to read the corresponding book</td></tr></table>
<table cellspacing=0 cellpadding=2 border=0>
<tr><td>_iconclosedbookshelf_</td>
<td>Click on a bookshelf icon to look at books on that subject</td></tr></table>

<p>In a <i>searchable</i> Greenstone collection you can also:

<ul>
  <li>search for particular words that appear in the text.
</ul>

However, the version of the collection that you are looking at is not searchable.
}

_content_ [style=htmlonly] {
<center>
_navigationbar_
</center>
<h2 align=left>Topics</h2>
<ul>
  <li><a href="\#finding-information">How to find the information you want</a>
  <li><a href="\#reading-books">How to read the books</a>
</ul>

<p>
<a name=finding-information>
_iconblankbar_<br>
<h2>How to find the information you want</h2>


_simplehelp_


<p>
<a name=reading-books>
_iconblankbar_<br>
<h2>How to read the books</h2>


<p>You can tell when you have arrived at an individual book because there is a
photograph of its front cover.  Beside the photograph is a table of contents
with an arrow marking where you are.  This table is expandable: click on the
folders to open them or close them.  Click on the open book at the top to close
it.

<p>Underneath is the text of the current section.  When you have read through
it, there are arrows at the bottom to take you on to the next section or back
to the previous one.

<p>
<table cellspacing=0 cellpadding=2 border=0>
<tr><td><img src="_httpiconmore_" width=_widthmore_ height=_heightmore_></td>
<td>Click on the arrow to go to the next section ...</td></tr>
<tr><td><img src="_httpiconless_" width=_widthless_ height=_heightless_></td>
<td>... or back to the previous section</td></tr>
<tr><td><img src="_httpiconeexpcon_" width=_widtheexpcx_ height=_heighteexpcx_></td>
<td>Expand the entire table of contents.</td></tr>

<tr><td><img src="_httpiconeallton_" width=_widthealltx_ height=_heightealltx_></td>
<td>Expand the entire text.</td></tr>
<tr><td><img src="_httpiconedtchon_" width=_widthedtchx_ height=_heightedtchx_></td>
<td>Detach this page into a separate window.</td></tr>
</table>



<table cellspacing=0 cellpadding=2 border=0>
<tr><td>_iconclosedbookshelf_</td>
<td>Click on a bookshelf icon to look at books on that subject.</td></tr>


</table>


<p>
_iconblankbar_<br>
}


_content_ {
<center>
_navigationbar_
</center>
<h2 align=left>Topics</h2>
<ul>
  <li><a href="\#finding-information">How to find the information you want</a>
  <li><a href="\#reading-books">How to read the books</a>
  <li><a href="\#searching">How to search for particular words</a>
<ul>
  <li><a href="\#query-terms">Search terms</a>
  <li><a href="\#query-type">Query type</a>
  <li><a href="\#scope-of-queries">Scope of queries</a>
  <li><a href="\#stemming">Case sensitivity and stemming</a>
</ul>
</ul>

<a name=finding-information>
_iconblankbar_<br>
<h2>How to find the information you want</h2>


_simplehelp_


<p>
<a name=reading-books>
_iconblankbar_<br>
<h2>How to read the books</h2>


<p>You can tell when you have arrived at an individual book because there is a
photograph of its front cover.  Beside the photograph is a table of contents
with an arrow marking where you are.  This table is expandable: click on the
folders to open them or close them.  Click on the open book at the top to close
it.

<p>Underneath is the text of the current section.  When you have read through
it, there are arrows at the bottom to take you on to the next section or back
to the previous one.

<p>Below the photograph are three buttons.  Click on <i>detach</i> to make a
new browser window for this book.  (This is useful if you want to compare
books, or read two at once.)  Click on <i>expand contents</i> to expand out the
whole table of contents so that you can see the titles of all chapters and
subsections.  Click on <i>expand text</i> to expand out the whole text of the
current section, or book.  If the book is large, this could take a long time
and use a lot of memory!

<p>
<table cellspacing=0 cellpadding=2 border=0>
<tr><td><img src="_document:httpiconsmtext_" width=_document:widthsmtext_ height=_document:heightsmtext_></td>
<td>_document:texticonsmalltext_</td></tr>
<tr><td><img src="_document:httpiconclsdfldr_" width=_document:widthclsdfldr_ height=_document:heightclsdfldr_></td>
<td>_texticonclosedfolder_</td></tr>
<tr><td><img src="_httpiconmore_" width=_widthmore_ height=_heightmore_></td>
<td>Click on the arrow to go to the next section ...</td></tr>
<tr><td><img src="_httpiconless_" width=_widthless_ height=_heightless_></td>
<td>... or back to the previous section</td></tr>
<tr><td><img src="_document:httpiconedtchof_" width=_document:widthedtchx_ height=_document:heightedtchx_></td>
<td valign=center>_document:texticondetach_</td></tr>
<tr><td><img src="_document:httpiconeexpcof_" width=_document:widtheexpcx_ height=_document:heighteexpcx_></td>
<td valign=center>_document:texticonexpandtoc_</td></tr>
<tr><td><img src="_document:httpiconealltof_" width=_document:widthealltx_ height=_document:heightealltx_></td>
<td valign=center>_document:texticonexpandtext_</td></tr>

</table>


<p>
<a name=searching>
_iconblankbar_<br>
<h2>How to search for particular words</h2>


<p>

  From the search page, you make a query in these simple steps:<p>
  
  <ol><li>Specify what documents you want to search
      <li>Say whether you want to search for all or just some of the words
      <li>Type in the words you want to search for
      <li>Click the <i>Begin Search</i> button
  </ol>

<p>When you make a query, the titles of ten matching documents will be shown.
There is a button at the end to take you on to the next ten documents.  From
there you will find buttons to take you on to the third ten or back to the
first ten, and so on.  Click the title of any document, or the little button
beside it, to see it.

<p>A maximum of 50 is imposed on the number of
  documents returned.  You can change this number by clicking the
  <i>preferences</i> button at the top of the page.<p>

<p>
<a name=query-terms>
_iconblankbar_<br>

<h3>Search terms</h3>

<p>The stuff that you type into the query box is interpreted as a list of words
called "search terms."  Each term contains nothing but alphabetic characters
and digits.  Terms are separated by white space.  If any other characters such
as punctuation appear, they serve to separate terms just as though they were
spaces.  And then they are ignored.  You can't search for words that include
punctuation.

<p>For example, the query<p>
    <ul><kbd>Agro-forestry in the Pacific Islands: Systems for Sustainability (1993)</kbd></ul>
      <p>will be treated the same as<p>
      <ul><kbd>Agro forestry in the Pacific Islands  Systems for Sustainability  1993 </kbd></ul><p>
<p>
<a name=query-type>
_iconblankbar_<br>

<h3>Query type</h3>

<p><ul>There are two different kinds of query.<p>

  <li>Queries for <b>all</b> of the words.  These look for chapters (or
      titles) that 
      contain all the words you have specified.  Documents that satisfy the
      query are displayed, in alphabetical order.<p>

  <li>Queries for <b>some</b> of the words.  Just list some terms that are
      likely to appear in the documents you are looking for.  Documents are
      displayed in order of how closely they match the query.  When determining

      the degree of match,

      <p><ul>
        <li> the more search terms a document contains, the closer it matches;
        <li> rare terms are more important than common ones;
        <li> short documents match better than long ones.
      </ul>

      <p>Use as many search terms as you like--a whole sentence, or even a
      whole paragraph.  If you specify only
      one term, documents will be ordered by its frequency of occurrence.<p>
      
</ul>

<p>
<a name=other-options><a name=scope-of-queries>
_iconblankbar_<br>

<h3 align=left>Scope of queries</h3>

<p>
You can choose the "granularity" at which your search is done, that
is, the size of the text against which the query is matched.
You can choose <i>title</i> or
<i>chapter</i>.

<p>Regardless of how you search, the results are always displayed in terms of a
complete book, opened at the appropriate place.

<p>
<a name=stemming>
_iconblankbar_<br>


<h3 align=left>Case sensitivity and stemming</h3>

<p>When you click the <i>preferences</i> button at the top of the page you will
see two pairs of buttons that control the case sensitivity and stemming of your
queries. The first set of buttons controls whether upper and lower case must
match (case sensitivity).  The second set controls whether to ignore word
endings or not (stemming).

For example, if the buttons <i>ignore case differences</i> and
<i>ignore word endings</i> are selected, the query<p>
    <ul><kbd>African building</kbd></ul>
      <p>will be treated the same as<p>
      <ul><kbd>africa builds</kbd></ul><p>
      because the uppercase letter in "African" will be transformed to
      lowercase, and  the suffixes "n" and "ing" will be removed from
      "African" and "building" respectively (also, "s" would be removed from
      "builds").


<p>
_iconblankbar_<br>
}

