/**********************************************************************
 *
 * querycache.cpp -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: querycache.cpp 114 1999-01-19 01:38:20Z rjmcnab $
 *
 *********************************************************************/

/*
   $Log$
   Revision 1.3  1999/01/19 01:38:17  rjmcnab

   Made the source more portable.

   Revision 1.2  1999/01/12 01:51:02  rjmcnab

   Standard header.

   Revision 1.1  1999/01/08 09:02:18  rjmcnab

   Moved from src/library.

 */


#include "querycache.h"




resultcacheel::resultcacheel () 
{
  accessnum = -1;
}



querycache::querycache (int themaxcachesize)
{
  if (themaxcachesize < 1) themaxcachesize = 1;
  
  resultcache = new resultcacheel[themaxcachesize];

  maxcachesize = themaxcachesize;
  nextaccessnum = 1;
}

querycache::~querycache ()
{
  delete [] resultcache;
}

// returns true if the query was found in the cache
// if the query was found then queryresults contains
// the results
bool querycache::find (const queryparamclass &queryparams, 
		       queryresultsclass &queryresults)
{
  int i;

  for (i=0; i < maxcachesize; i++)
    {
      if (resultcache[i].queryparameters == queryparams)
	{
	  queryresults = resultcache[i].queryresults;
	  resultcache[i].accessnum = getnextaccessnum ();
	  return true;
	}
    }

  return false;
}


void querycache::cache (const queryparamclass &queryparams,
	  const queryresultsclass &queryresults)
{
  int i = getfreecachenum();
  resultcache[i].queryparameters = queryparams;
  resultcache[i].queryresults = queryresults;
  resultcache[i].accessnum = getnextaccessnum ();
}

int querycache::getnextaccessnum ()
{
  return nextaccessnum++;
}

int querycache::getfreecachenum ()
{
  int i;
  int minaccessnum = 0;
  int minaccessi = 0;
  
  for (i=0; i < maxcachesize; i++)
    {
      if (resultcache[i].accessnum < minaccessnum) {
	minaccessnum = resultcache[i].accessnum;
	minaccessi = i;
      }
    }

  return minaccessi;
}

