/**********************************************************************
 *
 * authenaction.h -- authenticating users
 * Copyright (C) 1999  DigiLib Systems Limited, New Zealand
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: authenaction.h 421 1999-07-30 02:24:45Z sjboddie $
 *
 *********************************************************************/


#ifndef AUTHENACTION_H
#define AUTHENACTION_H

#include "gsdlconf.h"
#include "action.h"
#include "text_t.h"
#include "receptionist.h"


// note: you need to tell this action about the receptionist
// using set_receptionist

class authenaction : public action {
protected:
  text_t usersfile;
  text_t keyfile;
  int keydecay;

  receptionist *recpt;
  
public:
  authenaction ();
  virtual ~authenaction () {}

  void set_receptionist (receptionist *therecpt) {recpt=therecpt;}
  
  void configure (const text_t &key, const text_tarray &cfgline);
  bool init (ostream &logout);
  
  text_t get_action_name () {return "a";}
  
  bool check_cgiargs (cgiargsinfoclass &argsinfo, cgiargsclass &args, 
		      ostream &logout);
  bool check_external_cgiargs (cgiargsinfoclass &argsinfo,
			       cgiargsclass &args,
			       outconvertclass &outconvert,
			       const text_t &saveconf,
			       ostream &logout);

  void get_cgihead_info (cgiargsclass &args, response_t &response,
			 text_t &response_data, ostream &logout);
  
  void define_internal_macros (const ColInfoResponse_t &collectinfo, displayclass &disp, 
			       cgiargsclass &args, recptproto *collectproto, 
			       ostream &logout);
  void define_external_macros (const ColInfoResponse_t &collectinfo, displayclass &disp, 
			       cgiargsclass &args, recptproto *collectproto, 
			       ostream &logout);
  
  bool do_action (cgiargsclass &args, const ColInfoResponse_t &collectinfo, 
		  recptproto *collectproto, displayclass &disp, 
		  outconvertclass &outconvert, ostream &textout, 
		  ostream &logout);
};


#endif
