/**********************************************************************
 *
 * htmlutils.cpp -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: htmlutils.cpp 264 1999-06-09 00:09:30Z sjboddie $
 *
 *********************************************************************/

/*
   $Log$
   Revision 1.3  1999/06/09 00:09:30  sjboddie
   Added a fairly minimal html_safe function

   Revision 1.2  1999/02/08 01:28:02  rjmcnab

   Got the receptionist producing something using the statusaction.

   Revision 1.1  1999/01/08 08:40:58  rjmcnab

   Moved from lib directory.

   Revision 1.1  1999/01/08 03:57:47  rjmcnab

   Initial revision

 */


#include "htmlutils.h"

text_t html_safe (const text_t &instring) {
  
  text_t outstring;
  text_t::const_iterator here = instring.begin();
  text_t::const_iterator end = instring.end();
  while (here != end) {
    if (*here == '"') outstring += "&quot;";
    else if (*here == '&') outstring += "&amp;";
    else if (*here == '<') outstring += "&lt;";
    else if (*here == '>') outstring += "&gt;";
    else outstring.push_back(*here);
    here ++;
  }
  return outstring;
}


