/**********************************************************************
 *
 * queryaction.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: queryaction.h 421 1999-07-30 02:24:45Z sjboddie $
 *
 *********************************************************************/


#ifndef QUERYACTION_H
#define QUERYACTION_H

#include "gsdlconf.h"
#include "action.h"


class queryaction : public action {

protected:
  text_t formatstring;
  int num_phrases;

  void define_query_macros (cgiargsclass &args, displayclass &disp, 
			    const FilterResponse_t &response); 

  void set_option_macro (const text_t &macroname, text_t current_value,
			 const FilterOption_t &option, displayclass &disp);


public:
  queryaction ();
  virtual ~queryaction () {}
  
  void configure (const text_t &key, const text_tarray &cfgline);
  bool init (ostream &logout);
  
  text_t get_action_name () {return "q";}
  
  bool check_cgiargs (cgiargsinfoclass &argsinfo, cgiargsclass &args, 
		      ostream &logout);
  void get_cgihead_info (cgiargsclass &args, response_t &response,
			 text_t &response_data, ostream &logout);
  
  void define_internal_macros (const ColInfoResponse_t &collectinfo, displayclass &disp, 
			       cgiargsclass &args, recptproto *collectproto, ostream &logout);
  void define_external_macros (const ColInfoResponse_t &collectinfo, displayclass &disp, 
			       cgiargsclass &args, recptproto *collectproto, ostream &logout);
  
  bool do_action (cgiargsclass &args, const ColInfoResponse_t &collectinfo, 
		  recptproto *collectproto, displayclass &disp, 
		  outconvertclass &outconvert, ostream &textout, 
		  ostream &logout);
};


#endif
